<ion-header>
  <ion-toolbar>
    <section class="ion-padding">
      <ion-row>
        <ion-col size="12" class="vertical-align ion-text-end ion-justify-content-end">
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="notification-icon">
            <img src="assets/icon/notification.png">
          </div>
        </ion-col>
      </ion-row>
    </section>
  </ion-toolbar>
</ion-header>
<ion-content class="ion-padding-horizontal">
  <ion-row>
    <ion-col sizeXs="12" sizeSm="12" sizeMd="10" offsetMd="1" sizeXl="10" offsetXl="1">
      <section class="class-banner">
        <ion-row>
          <ion-col size="9">
            <ion-row>
              <ion-col size="12">
                <ion-text class="banner-title">
                  IIT JEE Advance
                </ion-text>
              </ion-col>
              <ion-col size="12" class="no-padding-bottom">
                <ion-text class="banner-subtitle">
                  Select Your Category
                </ion-text>
              </ion-col>
              <ion-col size="6">
                <ion-progress-bar color="primary" value="0.7"></ion-progress-bar>
              </ion-col>
            </ion-row>
          </ion-col>
          <ion-col size="3" class="ion-margin-bottom">
            <div class="banner-image">
              <img src="assets/icon/write-board.png">
            </div>
          </ion-col>
        </ion-row>
      </section>
    </ion-col>
  </ion-row>
  <section class="tab-section">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" class="ion-no-padding">
       <ion-row>
         <ion-col size="4" (click)="changeTab('subject')">
           <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'subject'}">
           <ion-row>
             <ion-col size="12" class="ion-no-padding">
               <ion-text class="tab-title vertical-align ion-text-start ion-justify-content-start">
                 <img src="assets/icon/open-book.png"> Subjects
               </ion-text>
             </ion-col>
           </ion-row>
           </div>
         </ion-col>
         <ion-col size="4" (click)="changeTab('test')">
           <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'test'}">
             <ion-row>
               <ion-col size="12" class="ion-no-padding">
                 <ion-text class="tab-title vertical-align ion-text-start ion-justify-content-start">
                   <img src="assets/icon/test-copy.png"> Tests
                 </ion-text>
               </ion-col>
             </ion-row>
           </div>
         </ion-col>
         <ion-col size="4" (click)="changeTab('store')">
           <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'store'}">
             <ion-row>
               <ion-col size="12" class="ion-no-padding">
                 <ion-text class="tab-title vertical-align ion-text-start ion-justify-content-start">
                   <img src="assets/icon/shopping-cart.png"> Store
                 </ion-text>
               </ion-col>
             </ion-row>
           </div>
         </ion-col>
       </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeTab === 'subject'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12" *ngFor="let subject of subjects; let i = index">
            <ion-card class="subject-card animated fadeInUp delay-1s" (click)="goToChapter(subject)">
              <ion-row>
                <ion-col size="10" class="vertical-align ion-justify-content-start">
                  <ion-text class="title title-sm">{{subject.title}}</ion-text>
                </ion-col>
                <ion-col size="2">
                  <div class="subject-image"> <img [src]="subject.image"></div>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeTab === 'test'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="12" sizeMd="10" offsetMd="1" sizeXl="10" offsetXl="1">
        <ion-row>
          <ion-col size="4" *ngFor="let test of tests; let i = index">
            <ion-card class="class-card" (click)="goToTest(test)">
              <ion-row>
                <ion-col size="12">
                  <img [src]="test.image" alt="">
                </ion-col>
                <ion-col size="12" class="vertical-align ion-padding-vertical">
                  <ion-text class="sub-title">{{test.title}}</ion-text>
                </ion-col>
                <ion-col size="12" class="vertical-align">
                  <ion-text class="super-sub-title">{{test.content}}</ion-text>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
<section class="ion-padding-horizontal" *ngIf="activeTab === 'store'">
  <ion-row>
    <ion-col sizeXs="12" sizeSm="12" sizeMd="10" offsetMd="1" sizeXl="10" offsetXl="1">
      <ion-row>
        <ion-col size="4" *ngFor="let store of stores; let i = index">
          <ion-card class="class-card store-card" (click)="goToTest(stores)">
            <ion-row>
              <ion-col size="10" offset="1">
                <div class="store-image">
                  <img [src]="store.image" alt="">
                </div>
              </ion-col>
              <ion-col size="12" class="vertical-align ion-padding-vertical">
                <ion-text class="sub-title">{{store.title}}</ion-text>
              </ion-col>
              <ion-col size="12" class="vertical-align">
                <ion-row>
                  <ion-col size="7" class="vertical-align">
                    <ion-text class="super-sub-title">₹{{store.price}}/-</ion-text>
                  </ion-col>
                  <ion-col size="5" class="vertical-align">
                    <div class="circle-btn vertical-align">
                      <ion-icon name="arrow-forward"></ion-icon>
                    </div>
                  </ion-col>
                </ion-row>
              </ion-col>
            </ion-row>
          </ion-card>
        </ion-col>
      </ion-row>
    </ion-col>
  </ion-row>
</section>
</ion-content>
